<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
  <title>פגישה 3 - פייתון, משתנים ולולאות "כל עוד"</title>
 
  <meta http-equiv="content-type"
 content="text/html; charset=UTF-8">
 
  <link href="lec.css" rel="stylesheet" type="text/css">
<link rel="contents" href="index.html"><link rel="top" href="index.html"><link rel="start" href="node1.html"><link rel="first" href="node1.html"><link rel="next" href="node3.html#h"><link rel="prev" href="node1.html#h">
</head>
<body>  
<div class="version">גרסה 1.2</div>
<h1>פגישה 3 - פייתון, משתנים ולולאות "כל עוד"</h1>
  <div class="nav" dir="ltr"><A HREF="index.html" NAME="h">[Top]</A> <A HREF="node1.html#h">[First]</A> <A HREF="node1.html#h">[Previous]</A> <A HREF="node3.html#h">[Next]</A></div><h2><a name="calculator"></a>פייתון כמחשבון</h2>
<ul>
  <li>בפייתון, כמו בכל שפה, סוגים שונים של "דברים" שניתן לדבר עליהם.
במינוח של שפות מחשב מדברים על <em>טיפוסים</em> (types) של <em>עצמים</em>
(objects).</li>
  <li>בניגוד לבני האדם (לפחות לרובם), עבור מחשב, הטיפוס הבסיסי והפשוט ביותר הוא
מספר. אז הנה משהו עבור ה"תור שלנו" - ננסה לכתוב למפרש כמה מספרים.
<div dir=ltr><pre>
&gt;&gt;&gt; 2
2
&gt;&gt;&gt; 5
5
>>> 
</pre></div>
</li>
  <li>טוב, אז בשביל לחזור על מה שכתבנו כמו "מחשב אחרי בן אדם" לא ממש צריך מחשב
נכון? אנחנו רוצים <em>לעשות</em> משהו עם המספרים שלנו. <br><br>
   לכן נוסיף סימנים: 
   הסימנים <tt class="cmd">+, -, * , /</tt> - יציינו עבור מספרים את הפעולות
החשבוניות, ונשתמש גם בסוגריים <tt class="cmd">(, )</tt> כדי לשלוט על סדר
הפעולות.<br>
<div dir=ltr><pre>
&gt;&gt;&gt; 2 + 5 * (4 - 1)
17
</pre></div>
   עכשיו יש לנו מחשבון לכל דבר - וזה כבר יותר שימושי.</li>
  <li>רצף כזה של עצמים וסימנים נקרא <em>ביטוי</em>. בכל מקום בשפה שבו יכול
להופיע אובייקט, אפשר לכתוב במקומו ביטוי - המחשב יבצע את הפעולות המתוארות,
וישתמש באובייקט שהתקבל בתור תוצאה. לכן כאשר כותבים ביטוי בודד, המחשב מדפיס
לנו את תוצאת החישוב.</li>
</ul>

                   
<address><a href="http://validator.w3.org/check/referer"><img
 src="http://www.w3.org/Icons/valid-html401" alt="Valid HTML 4.01!"
 height="31" width="88">
 </a>נכתב על ידי <a href="mailto:aronovitch@gmail.com">עמית אהרונוביץ</a><br>
          </address>
                   
</body>
</html>
